export declare class ArrayCarousel<T> {
    private _array;
    private indexCarousel;
    constructor(array: readonly T[]);
    get array(): readonly T[];
    get currentIndex(): number;
    set currentIndex(value: number);
    get currentItem(): T | undefined;
    next(): this;
    prev(): this;
}
